Loading...
Searching...
No Matches
vec_concat_value< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::vec_concat_value< T, M >

Definition at line 37 of file vec_concat.h.

## Public Types

enum | variant_type { scalar , scalars , vector }

## Public Member Functions

template<class U, class Sfinae = typename std::enable_if< is_rheolef_arithmetic<U>::value ,void >::type>
| vec_concat_value (const U &x)
| vec_concat_value (const std::vector< T > &x)
| vec_concat_value (const vec< T, M > &x)

## Public Attributes

T | s
std::vector< T > | ss
vec< T, M > | v
variant_type | variant

## Member Enumeration Documentation

## variant_type

template<class T, class M>

enum variant_type

Enumerator
scalar |
scalars |
vector |

Definition at line 40 of file vec_concat.h.

## Constructor & Destructor Documentation

## vec_concat_value() [1/3]

template<class T, class M>
template<class U, class Sfinae = typename std::enable_if< is_rheolef_arithmetic<U>::value ,void >::type>

vec_concat_value | ( | const U & | x | ) |

Definition at line 49 of file vec_concat.h.

## vec_concat_value() [2/3]

template<class T, class M>

vec_concat_value | ( | const std::vector< T > & | x | ) |

Definition at line 50 of file vec_concat.h.

## vec_concat_value() [3/3]

template<class T, class M>

vec_concat_value | ( | const vec< T, M > & | x | ) |

Definition at line 51 of file vec_concat.h.

## Member Data Documentation

## s

template<class T, class M>

T s

Definition at line 54 of file vec_concat.h.

## ss

template<class T, class M>

std::vector<T> ss

Definition at line 55 of file vec_concat.h.

## v

template<class T, class M>

vec<T,M> v

Definition at line 56 of file vec_concat.h.

## variant

template<class T, class M>

variant_type variant

Definition at line 57 of file vec_concat.h.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/vec.h
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/vec_concat.h